//:: k_lin_exitarea
/*
    Causes spawned twi'lek Lin Tarwan at the Unknown world 
    to run to a spot near the Temple for dissapearance after 40 seconds
*/
//:: Created By: FrantFire

#include "k_inc_debug"
#include "k_inc_utility"

void main()
{

    int bNoFade;
    float fDelay;
    float fDelayUntilFade;

    vector aPos=Vector(91.25,129.09,21.94);
    location aWhereToMove=Location(aPos,0.0);

    vector bPos=Vector(124.92,151.72,26.04);
    location bWhereToMove=Location(bPos,0.0);

    vector cPos=Vector(120.6,182.78,28.83);
    location cWhereToMove=Location(cPos,0.0);

    vector dPos=Vector(157.07,169.21,31.79);
    location dWhereToMove=Location(dPos,0.0);

    vector ePos=Vector(144.47,122.37,37.42);
    location eWhereToMove=Location(ePos,0.0);

    vector fPos=Vector(160.8,121.35,36.66);
    location fWhereToMove=Location(fPos,0.0);

    object oNPC = GetObjectByTag("ff_lintarwan");

    DelayCommand(2.3, AssignCommand (oNPC,ActionForceMoveToLocation(aWhereToMove,TRUE)));
    //ActionDoCommand(SetCommandable(TRUE,oNPC));
    AssignCommand (oNPC,ActionForceMoveToLocation(bWhereToMove,TRUE));
    //ActionDoCommand(SetCommandable(TRUE,oNPC));
    AssignCommand (oNPC,ActionForceMoveToLocation(cWhereToMove,TRUE));
    //ActionDoCommand(SetCommandable(TRUE,oNPC));
    AssignCommand (oNPC,ActionForceMoveToLocation(dWhereToMove,TRUE));
    //ActionDoCommand(SetCommandable(TRUE,oNPC));
    AssignCommand (oNPC,ActionForceMoveToLocation(eWhereToMove,TRUE));
    //ActionDoCommand(SetCommandable(TRUE,oNPC));
    AssignCommand (oNPC,ActionForceMoveToLocation(fWhereToMove,TRUE));
    // ActionDoCommand(SetCommandable(TRUE,oNPC));
        
    DestroyObject(oNPC, fDelay=40.7f, bNoFade = TRUE, fDelayUntilFade = 0.0f);
    //ActionDoCommand(SetCommandable(FALSE,oNPC));
    
}
